#!/bin/bash

# shellcheck disable=SC1091

set -o errexit
set -o nounset
set -o pipefail
# set -o xtrace # Uncomment this line for debugging purpose

# Load libraries
. /opt/build/scripts/liblog.sh
. /opt/build/scripts/libpostgresql.sh
. /opt/build/scripts/librepmgr.sh

# Load PostgreSQL & repmgr environment variables
. /opt/build/scripts/postgresql-env.sh

readonly repmgr_flags=("--pid-file=$REPMGR_PID_FILE" "-f" "$REPMGR_CONF_FILE" "--daemonize=false")
readonly repmgr_cmd=$(command -v repmgrd)

postgresql_start_bg true
info "** Starting repmgrd **"

exec "$repmgr_cmd" "${repmgr_flags[@]}"
